<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Ray.html">Ray</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Ray Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Ray.html#a2d16c049e57a9908e7200bcfc47fd7dc">getDirection</a>(void) const </td><td><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Ray.html#ae4e2561675e05fee24c867e3c9137c21">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Ray.html#a724bffb5c8bd6e79b35a48292075e6db">getPoint</a>(Real t) const </td><td><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Ray.html#a3471b68f559bd39e79e18f752b720f0f">intersects</a>(const Plane &amp;p) const </td><td><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Ray.html#adce8c31c39804bc7385e650cbe18fec3">intersects</a>(const PlaneBoundedVolume &amp;p) const </td><td><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Ray.html#a200a9f8c30f388bd4b4c195f10d09720">intersects</a>(const Sphere &amp;s) const </td><td><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Ray.html#ac14cf4c98cc75e531a1fd43fab4eeeff">intersects</a>(const AxisAlignedBox &amp;box) const </td><td><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Ray.html#a9b3de04f46afb4fb72353685a51d6ada">mDirection</a></td><td><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Ray.html#a149235772702fe06ef8dc15a37ee6e05">mOrigin</a></td><td><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Ray.html#a9769a8d7f2358818c94713e9ac0a5f17">operator*</a>(Real t) const </td><td><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Ray.html#ae06168a69567ec6ede584cfa8ced9979">Ray</a>()</td><td><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Ray.html#a7da08421bf78a27884c5a381cda60dc2">Ray</a>(const Vector3 &amp;origin, const Vector3 &amp;direction)</td><td><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Ray.html#ac3082e7ed2efd58bb202043101d4abb2">setDirection</a>(const Vector3 &amp;dir)</td><td><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Ray.html#a730a34d1255a51df2bb072c823acec67">setOrigin</a>(const Vector3 &amp;origin)</td><td><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
